Summary: an enriched clone of the game "Logical" by Rainbow Arts
Name:    pathological
Version: 1.1.3
Release: 9%{?dist}
License: GPL
URL:     http://pathological.sourceforge.net/

Source:        http://dl.sf.net/pathological/pathological-%{version}.tar.gz
Patch1:        Makefile.patch

# https://sources.debian.org/data/main/p/pathological/1.1.3-16/debian/patches/20_highscores.patch
Patch2:        20_highscores.patch
# https://sources.debian.org/data/main/p/pathological/1.1.3-16/debian/patches/30_no_soundcard.patch
Patch3:        30_no_soundcard.patch
# https://sources.debian.org/data/main/p/pathological/1.1.3-16/debian/patches/40_pygame_181.patch
Patch4:        40_pygame_181.patch
# https://sources.debian.org/data/main/p/pathological/1.1.3-16/debian/patches/define-music_pending_song.patch
Patch5:        define-music_pending_song.patch
# https://sources.debian.org/data/main/p/pathological/1.1.3-16/debian/patches/60_use_ogg_music.patch
Patch6:        60_use_ogg_music.patch
# https://sources.debian.org/data/main/p/pathological/1.1.3-16/debian/patches/python3.patch
Patch7:        python3.patch

BuildRequires: netpbm-progs
BuildRequires: gcc
Requires:      python3
BuildRequires: python3-devel
Requires:      pygame3

%description
Pathological is an enriched clone of the game "Logical" by Rainbow Arts. To
solve a level, fill each wheel with four marbles of matching color. Various
board elements such as teleporters, switches, filters, etc., make the game
interesting and challenging. New levels can be created using your favorite
text editor.

%description -l nl
Pathological is een kloon van het spel "Logical" met extra uitbreidingen. Om
een level op te lossen moet je elk wiel vullen met vier knikkers met
dezelfde kleur. Verschillende bordelementen zoals teleporters, schakelaars,
filters enzovoort maken het spel interessant en uitdagend. Nieuwe levels
kunnen gemaakt worden met een gewone teksteditor.

%prep
%setup
%patch1 -p1 -b.debugfiles
%patch2 -p1 -b.highscores
%patch3 -p1 -b.nosoundcard
%patch4 -p1 -b.pygame181
%patch5 -p1 -b.pendingmusic
%patch6 -p1 -b.ogg
%patch7 -p1 -b.python3

%build
export CFLAGS="${RPM_OPT_FLAGS}"
export CXXFLAGS="${RPM_OPT_FLAGS}"
%{__make} %{?_smp_mflags}

%install
export CFLAGS="${RPM_OPT_FLAGS}"
export CXXFLAGS="${RPM_OPT_FLAGS}"

mkdir -p $RPM_BUILD_ROOT/usr/bin
sed -i "s/^DESTDIR =.*/DESTDIR=${RPM_BUILD_ROOT//\//\\/}/g;" Makefile
make install
#sed -i 's|#!/usr/bin/python|#!/usr/bin/python3|g' %{buildroot}%{_datadir}/games/pathological/pathological.py
#sed -i "2i# -*- coding: iso-8859-15 -*-"          %{buildroot}%{_datadir}/games/pathological/pathological.py

%py_byte_compile %{__python3} %{buildroot}%{_datadir}/games/pathological/

mkdir -p %{buildroot}%{_datadir}/applications
cat <<EOF >%{buildroot}%{_datadir}/applications/pathological.desktop
[Desktop Entry]
Version=1.0
Type=Application
Encoding=UTF-8
Name=Pathological
Exec=/usr/games/pathological
Categories=Application;Game;ArcadeGame
EOF

%files
%defattr(-, root, root, 0755)
%doc README TODO
%license LICENSE
%{_usr}/X11R6/include/X11/pixmaps/pathological.xpm
%{_usr}/games/pathological
%{_usr}/lib/pathological/
%{_docdir}/pathological/*
%{_datadir}/games/pathological
%{_mandir}/man6/pathological.6.gz
%{_localstatedir}/games/pathological_scores
%{_datadir}/applications/pathological.desktop

%changelog
* Wed Sep 30 2020 josef radinger <cheese@nosuchhost.net> - 1.1.3-9
- solve duplicate docdir/pathological from files-list

* Mon Sep 28 2020 josef radinger <cheese@nosuchhost.net> - 1.1.3-8
- switch to python3
- add several patches from debian

* Sat Jan 18 2020 josef radinger <cheese@nosuchhost.net> - 1.1.3-7
- cleanup specfile
- require python2+python2-devel
- add encoding to python-script
- byte-compile

* Sat Nov 14 2015 josef radinger <cheese@nosuchhost.net> - 1.1.3-6
- fix creation of debugfiles
- add gcc to buildrequires
- use python2

* Sun Jun 10 2012 josef radinger <cheese@nosuchhost.net>
- 1.1.3-5
- fix release-tag

* Mon Jan 23 2012 josef radinger <cheese@nosuchhost.net>
- 1.1.3-4.3
- fix EOF
- pygame as dep

* Sat Apr 08 2006 Dries Verachtert - 1.1.3-4.2
- Rebuild for Fedora Core 5.

* Sun Jan 11 2004 Dries Verachtert  1.1.3-4
- cleanup of spec file

* Fri Jan 2 2004 Dries Verachtert  1.1.3-3
- added a desktop icon

* Wed Dec 24 2003 Dries Verachtert  1.1.3-2
- updated %doc part

* Tue Dec 23 2003 Dries Verachtert  1.1.3-1
- first packaging for Fedora Core 1

